# eric6.E5Network.E5SslCertificateSelectionDialog

Module implementing a dialog to select a SSL certificate.

### Global Attributes

None

### Classes

E5SslCertificateSelectionDialog | Class implementing a dialog to select a SSL certificate.

### Functions

None

## E5SslCertificateSelectionDialog

Class implementing a dialog to select a SSL certificate.

### Derived from

QDialog, Ui_E5SslCertificateSelectionDialog

### Class Attributes

CertRole

### Class Methods

None

### Methods

E5SslCertificateSelectionDialog | Constructor
__createCaCertificateEntry | Private method to create a certificate entry.
__populateCertificatesTree | Private slot to populate the certificates tree.
getSelectedCertificate | Public method to get the selected certificate.
on_certificatesTree_itemSelectionChanged | Private slot to handle the selection of an item.
on_viewButton_clicked | Private slot to show data of the selected certificate.

### Static Methods

None

#### E5SslCertificateSelectionDialog (Constructor)

E5SslCertificateSelectionDialog(certificates, parent=None)

Constructor

certificates (list of QSslCertificate)
  list of SSL certificates to select from
parent (QWidget)
  reference to the parent widget

#### E5SslCertificateSelectionDialog.__createCaCertificateEntry

__createCaCertificateEntry(cert)

Private method to create a certificate entry.

cert (QSslCertificate)
  certificate to insert

#### E5SslCertificateSelectionDialog.__populateCertificatesTree

__populateCertificatesTree(certificates)

Private slot to populate the certificates tree.

certificates (list of QSslCertificate)
  list of SSL certificates to select from

#### E5SslCertificateSelectionDialog.getSelectedCertificate

getSelectedCertificate()

Public method to get the selected certificate.

Returns:
  selected certificate

Return Type:
  QSslCertificate

#### E5SslCertificateSelectionDialog.on_certificatesTree_itemSelectionChanged

on_certificatesTree_itemSelectionChanged()

Private slot to handle the selection of an item.

#### E5SslCertificateSelectionDialog.on_viewButton_clicked

on_viewButton_clicked()

Private slot to show data of the selected certificate.

Up